from django.conf.urls import url

from .views import SomaDayArchiveView, SomaDayArchiveCsvView, RedirectTodayView, TrackDetailView, ArtistDetailView, ArtistListView, StatisticsView, UploadTracksView, RecentTracksView, QuickLinksView, SearchView, CleanupView, SearchCsvView

urlpatterns = [
    # Example: /2012/nov/10/
    url(r'^$', RedirectTodayView.as_view(), name='nonstop-today'),
    url(r'^stats/$', StatisticsView.as_view(), name='stats-view'),
    url(r'^tracks/(?P<pk>\d+)/$', TrackDetailView.as_view(), name='track-view'),
    url(r'^artists/$', ArtistListView.as_view(), name='artist-list'),
    url(r'^artists/(?P<pk>\d+)/$', ArtistDetailView.as_view(), name='artist-view'),
    url(r'^(?P<year>[0-9]{4})/(?P<month>[-\w]+)/(?P<day>[0-9]+)/$',
        SomaDayArchiveView.as_view(),
        name="archive_day"),
    url(r'^(?P<year>[0-9]{4})/(?P<month>[-\w]+)/(?P<day>[0-9]+)/csv$',
        SomaDayArchiveCsvView.as_view(),
        name="archive_day_csv"),

    url(r'^upload/$', UploadTracksView.as_view(), name='nonstop-upload-tracks'),
    url(r'^recent/$', RecentTracksView.as_view(), name='nonstop-recent-tracks'),
    url(r'^search/$', SearchView.as_view(), name='nonstop-search'),
    url(r'^search/csv$', SearchCsvView.as_view(), name='nonstop-search-csv'),
    url(r'^quick-links/$', QuickLinksView.as_view(), name='nonstop-quick-links'),
    url(r'^cleanup/$', CleanupView.as_view(), name='nonstop-cleanup'),
]
